URL Class Reference

Simple utility class to decode and filter URLs. More...

`#include <URL.h>`

## Public Member Functions

| URL (std::string s)
| Constructor.
std::string | decode ()
| Decode and filter URL.
std::string | escape ()
| String escaping for JSON etc.
std::string | warning ()
| Return any warning message.

## Detailed Description

Simple utility class to decode and filter URLs.

## Constructor & Destructor Documentation

## URL()

URL::URL | ( | std::string | s | ) |

inline

Constructor.

Parameters

  s | input url string

The documentation for this class was generated from the following file:

- URL.h